<?php
session_start();



$title = 'Hladaj';

include('funkcie.php');
include('funkcie_select.php');
include('funkcie_insert.php');
include('funkcie_update.php');
include('funkcie_delete.php');

hlavicka($title);
overenie();
navig_profil(0);
?>

<form action="hladat.php?f=<?php echo $_GET['f']; ?>" method="post" name="form">
  Hľadaj
  <select name="hladaj_co">
    <option value="1">tému</option>
    <option value="2">príspevok</option>
  </select>
  obsahujúcu/i výraz
  <input name="hladane" type="text" value="" class=""/>
  <input type="submit" name="hladaj" class="" value="Hľadaj" />
</form><br/>

<?php
if (isset($_POST['hladaj'])) { 
  if ($_POST['hladaj_co']==1) {           /*/////////////Vyhladavanie v temach///////////////*/
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM forum_temy WHERE tema LIKE '%".$_POST['hladane']."%'";
        $result1 = mysql_query($sql, $link);
        echo '<table class="forum">
                <tr>
                  <th class="temy_nad">
                    Témy
                  </th>
                  <th class="odpovede_nad">
                    Odpovede
                  </th>
                  <th class="prezrete_nad">
                    Prezreté
                  </th>
                  <th class="autor_nad">
                    Autor
                  </th>
                  <th class="posledny_nad">
                    Posledný príspevok
                  </th>
                </tr>';
      
        while ($row = mysql_fetch_assoc($result1)) {
          $farba = $farba+1;
          if ($farba%2==1){$farba = 1;} else {$farba = 2;}
            echo '<tr>
                    <td class="temy_'.$farba.'">';
                      if ($row['pristupnost']==2) {echo 'P ';}
                      elseif ($row['pristupnost']==3) {echo 'H ';}
                      else {echo 'V ';}
            echo     '<a href="tema.php?f='.$row['id_fora'].'&t='.$row['id_temy'].'" class="odkaz_2"><strong>'.$row['tema'].'</strong></a>';
                      if ($row['autor']==$_SESSION['nick'] || $_GET['f']==$_SESSION['id']) {echo '<a href="tema_uprav.php?f='.$_GET['f'].'&t='.$row['id_temy'].'" class="odkaz"> Edit</a>';}
            echo     '<br/>'.$row['popis'].'
                    </td>
                    <td class="odp_prez_autor_'.$farba.'">';
                      pocet5(forum_prispevky,$row['id_temy']);
            echo   '</td>
                    <td class="odp_prez_autor_'.$farba.'">
                    '.$row['prezrete'].'
                    </td>
                    <td class="odp_prez_autor_'.$farba.'">
                    '.$row['autor'].'
                    </td>
                    <td class="posledny_'.$farba.'">
                    '.$row['posledny'].'
                    </td>
                  </tr>';
        }
        echo '</table><br/>';
    }
  }
  elseif ($_POST['hladaj_co']==2) {      /*/////////////Vyhladavanie v prispevkoch///////////////*/
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM forum_prispevky WHERE sprava LIKE '%".$_POST['hladane']."%'";
        $result1 = mysql_query($sql, $link);
        echo '<table class="forum">
                <tr>
                  <th class="sprava_1">
                    Správa
                  </th>
                  <th class="autor_2">
                    Autor
                  </th>
                </tr>';
        
        while ($row = mysql_fetch_assoc($result1)) {
          $farba = $farba+1;
          if ($farba%2==1){$farba = 1;} else {$farba = 2;}
          /*$sql2 = "SELECT * FROM forum_pouzivatelia WHERE nick=".$row['autor'];
          $result2 = mysql_query($sql2, $link);
            while ($row2 = mysql_fetch_assoc($result2)) {
              $foto=$row2['foto'];
            }*/
          echo '<tr>
                  <td class="sprava'.$farba.'">
                    <div class="prispevok">'.$row['sprava'].'</div>
                    <div class="sprava_edit">';
                    if ($row['autor']==$_SESSION['nick'] || $_GET['f']==$_SESSION['id']) {echo '<a href="prispevok_uprav.php?f='.$_GET['f'].'&t='.$_GET['t'].'&p='.$row['id_prispevku'].'" class="odkaz_2">Edit</a>';}
          echo     '</div>
                  </td>
                  <td class="autor_prispevku'.$farba.'">
                    '.$row['autor'].'<br/><img src="obrazky/users/'.$foto.'" alt="nophoto" width="80"/>
                  </td>
                <tr>';
        }
        echo '</table><br/>';
    }
  }
}

include('paticka.php'); ?>